use deimos::lexer::tokenize;
use std::process::exit;
use deimos::parser::parse;

fn main() {
    let src = String::from("print 42");
    let tokenize_result = tokenize(&src);
    if let Err(e) = tokenize_result {
        eprintln!("{}", e);
        exit(1);
    }
    let tokens = tokenize_result.unwrap();
    println!("{:?}", tokens);
    let parse_result = parse(&tokens);
    if let Err(e) = parse_result {
        eprintln!("{}", e);
        exit(1);
    }
    let compilation_unit = parse_result.unwrap();
    println!("{:?}", compilation_unit);
    // TODO: compilation_unit to DmModule
}