use std::collections::HashMap;
use crate::vm::{DmVirtualMachine, PlatformFunction};
use crate::vm::platform::std_lib::core::dm_print;

mod std_lib;

pub struct PlatformCallFrame {
    args: Vec<u64>,
    arg_types: Vec<crate::vm::types::DmType>,
    vm: DmVirtualMachine
}

pub fn init_platform_functions() -> HashMap<String, PlatformFunction> {
    let mut m: HashMap<String, PlatformFunction> = HashMap::new();
    m.insert(String::from("std::core::print"), dm_print);
    m
}